Package org.silverpeas.mobile.client.apps.news.events.pages

## Class AbstractNewsPagesEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<NewsPagesEventHandler>
    - - org.silverpeas.mobile.client.apps.news.events.pages.AbstractNewsPagesEvent

- Direct Known Subclasses:
    `NewsLoadedEvent`, `NewsSavedEvent`, `OneNewsLoadedEvent`

      public abstract class AbstractNewsPagesEvent
      extends com.google.gwt.event.shared.GwtEvent<NewsPagesEventHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static com.google.gwt.event.shared.GwtEvent.Type<NewsPagesEventHandler>` | `TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractNewsPagesEvent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.google.gwt.event.shared.GwtEvent.Type<NewsPagesEventHandler>` | `getAssociatedType()` |

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, dispatch, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static com.google.gwt.event.shared.GwtEvent.Type<NewsPagesEventHandler> TYPE

  - ### Constructor Detail

    - #### AbstractNewsPagesEvent

          public AbstractNewsPagesEvent()

  - ### Method Detail

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<NewsPagesEventHandler> getAssociatedType()

      Specified by:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<NewsPagesEventHandler>`